Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 30 Jul 2014, 19:27
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Introducing PULP - 125 MB Puplet for older hardware
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 16 of 18 [258 Posts]   Goto page: Previous 1, 2, 3, ..., 14, 15, 16, 17, 18 Next
Author Message
muggins

Joined: 20 Jan 2006
Posts: 6673
Location: lisbon

PostPosted: Thu 13 Dec 2012, 05:23    Post subject:  

pulp_003
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 389

PostPosted: Fri 28 Dec 2012, 10:43    Post subject: Pulp linux with jwm
Subject description: lost the jwm icons and menu button
 

Booting (or xwin) gives me a plain blue screen with no icons and
no menu button at upper left. Opera has a bug that keeps Alt-F1
from working immediately after you exit Opera so I cannot access
programs without the menu (except by Ctrl-Alt-Backspace, xwin,
to restart jwm and X). Using an older copy of .jwmrc did not
fix this. What went wrong and how to get back the menu button?
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 389

PostPosted: Mon 31 Dec 2012, 05:48    Post subject: pulp linux and jwm
Subject description: .jwmrc-tray disappeared
 

The lack of menu and various icons at JWM screen top and bottom is due
to /root/.jwmrc-tray having disappeared, as I discovered by error-checking with
jwm -p, which also found other errors including gmplayer & (I removed the &)
and also on lines 207 and 213 of .jwmrc (which I had modified so the line
numbers have changed from the original) invalid tag in Active: Corner and in
Inactive: Corner. I left these - no idea what they do or don't do.

I copied to .jwmrc-tray a .jwmPULP-original-tray from 2010 which differs from
what pulp 0.1 came with, in having menu button and clock all the other icons at
screen bottom, including volume. There are no network or wireless icons. Words
(without having to stick the mouse arrow over the icon) instead of icons would be helpful.

There should be some way to fish the newer .jwmrc-tray out of the .sfs file by mounting
it to a loop or I can copy it from some other installation of .pulp. Right clicking
on the screen also gives a menu (when Alt-F1 fails, after exiting Opera).
Back to top
View user's profile Send private message 
zenfunk

Joined: 18 Mar 2009
Posts: 221

PostPosted: Wed 13 Feb 2013, 03:41    Post subject:  

I know it's a bit late, but you can get to the content of your original squashfs file when you boot your computer with something other than the PULP.sfs that is installed on your harddrive. So boot from any Puppy CD rom and you should be able to mount the original sfs to any folder adn then you can grab the original file.
HTH,
Funk
Back to top
View user's profile Send private message 
darry1966

Joined: 26 Feb 2012
Posts: 368
Location: New Zealand

PostPosted: Wed 03 Apr 2013, 05:43    Post subject: PULP Linux
Subject description: Great Pupplet
 

Hi just want to say nice to have this streamlined Pupplet to work with runs great on my machine.
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 389

PostPosted: Thu 26 Dec 2013, 16:27    Post subject: QtWeb 3.8.4
Subject description: works standalone except for flash
 

Just got QtWeb 3.8.4 pet package unpackaged in its own directory. It loads and runs fast but is not yet working with Flash. See the QtWeb thread for details. 10MB zip download with static libraries unzips to 10MB. (The home page provides 3.8.5, said to crash, 7MB without the QtWeb libraries). Firepup (Firefox 1.5?) from 2009 is 12MB - with the rest of that directory it is 27MB. QtWeb does not work at all sites. It includes most of Opera keyboard shortcuts (but Ctl-W does not work to close tabs - you need a mouse) and Firefox-style cookie manager and has a built-in editable adblocking and counter-blocking filter. You can disable plugins, flash, and images. Someone got flash working in the installed qtweb pet when it was identified as opera. There is a bookmark to 'YouTube - bunch of videos'. Flash works for me with opera 12.15 and firefox 3.6.28. Memory use 120MB with one tab, 180 with three. Should work on a laptop with 192MB RAM, in pulp.

Has anyone else got qtweb working with flash in pulp03?

I am still using pulp as my main linux. Just got wary 5.5 to boot but it load programs very slowly (frugal version, from FAT32 because it cannot find its files in another directory too far from start of the drive, unlike puppy 4 where you can put kernel and initrd in one place and the sfs and save file in another - it simply does not find the latter). Youtube is very slow and jerky. It acts like the sfs is NOT loaded into memory tho I have 1GB.
Back to top
View user's profile Send private message 
greengeek

Joined: 20 Jul 2010
Posts: 2411
Location: New Zealand

PostPosted: Mon 30 Dec 2013, 05:33    Post subject: Re: QtWeb 3.8.4
Subject description: works standalone except for flash
 

sindi wrote:
Has anyone else got qtweb working with flash in pulp03?.

Hi sindi, yes I have flash "working" in pulp03 - it isn't perfect and it isn't using the latest flashplayer, but it does work. (It will be suitable for many youtube videos but not all. I've noted some good test videos and one bad one at the bottom of the post)

Here are the steps I followed to install a suitable version of QtWeb and flashplayer on a fresh / live (no savefile) session of Pulp03 on my hardware. It isn't perfect but it definitely works reliably (within limits Smile )

QtWeb & flashplayer tutorial:

- If your hardware is different you may get different results.
- If you are using a savefile you may have newer versions of critical files than the original Pulp03 and this may generate different results.
- There is a small bug that gives a black screen when playing the first video. See note further down (simply click "reload page" icon to cure this)

GENERAL NOTE REGARDING FLASH PLAYER: In order to play youtube flash videos you need the libflashplayer.so to be a suitable version, BUT you also need the correct libraries to support THAT VERSION of libflashplayer or else the browser will tell you it cannot find the flashplayer (it CAN find the flashplayer but just doesn't know how to use it...)

Steps to follow:

1) Load ttuuxxxes QtWeb-elf-i386 (v3.7.2) pet from here:
www.smokey01.com/ttuuxxx/2.14X/Software/QtWeb-elf-i386.pet (this will also set your default browser to QtWeb)

2) Load the libflashplayer 10.1.53.64.pet from here:
http://www.mediafire.com/download/j07eprn98s70guo/libflashplayer_10.1.53.64.pet

4) Load the no_sm_opera_flash_libs.pet from here:
http://dl.dropbox.com/u/33223649/no_sm_opera_flash_libs.pet
(This adds libs that are needed for various browser/flash functions when you don't already have specific versions of seamonkey or opera installed)

5) Open a console and type:
#fixmenus

6) Restart x server

7) Start QtWeb and browse to youtube

As an initial trial go to this url:
http://www.youtube.com/watch?v=x0v8jsUUZAM

If you see certificate errors you can say "yes to all". There is a certificate pet available which apparently cures this here:
http://www.murga-linux.com/puppy/viewtopic.php?p=713154#713154
(I haven't tried this yet...)

*** NOTE : If you can hear audio but see an empty black box where the video should be then just click on the refresh / reload page icon (double blue arrow icon at right of url bar). After you have refreshed the screen once like this it seems that other videos will play properly ***



Other videos to test the functionality:

Timelapse pencil drawing of Rihanna (nice music) - everyone should watch this video. I like it.
http://www.youtube.com/watch?v=PhaIThV-4Bo

Timelapse pencil drawing of Kim Kardashian:
http://www.youtube.com/watch?v=j-7OdhHTm0I

Funny cats and water: http://www.youtube.com/watch?v=ctJJrBw7e-c

One hour of Disney's Chip'an'Dale cartoons:
http://www.youtube.com/watch?v=s57Swk46qEE

Datsun speedway crash
http://www.youtube.com/watch?v=-ns4WOq-pYE

Flatulence related engineering humour:
http://www.youtube.com/watch?v=whDN-4lbork

Some videos will still cause hangs:
Catfart video
http://www.youtube.com/watch?v=rJqDPaf31Gw
(works fine till overdub boxes appear toward end of video)
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 389

PostPosted: Mon 30 Dec 2013, 13:33    Post subject: qtweb with flash 10 works  

Flash worked with libflashplayer 10.1 from your link.

It works equally well with
http://www.smokey01.com/OscarTalks
latest version (currently 10.3.53.64). These are 11
or 12MB instead of the 17MB for 11.2.
See the puppy discussion of Flash 10.3.

OscarTalks also has Chromium, Iron, ffmpeg...

I kept the more recent QtWeb pet (which I did not install,
just unpackaged in a directory where all the puppies can
use it directly via a script - cd to the location of the
binary). I did not add any libraries from opera or
seamonkey.

I unpackage all my browsers in a partition outside the
sfs file system. Firefox 17, Seamonkey (1 or 2),
Opera 12 all have the libraries needed by flash.
(Opera 11 was not working well with flash).

QtWeb makes calls with Google Voice. Opera 12 stopped
doing so a few months ago.

I edited /etc/profile to add the location of both
seamonkey and firefox (more recent than FirePup4!) to
the library path.

I put all three versions of flash in the same partition
outside of the main file system and symlinked to them
from /usr/lib/mozilla/plugins to test them. This saves
enlarging the save file, and all the puppies can share
flash this way too. I ran across Kinda Lucid Puppy
KLP (006) updated 4.3.1-based while looking for flash
pets - it has flash 10.1.53.64 already.

I have no black rectangle problems. Did not try
your test videos yet.

Flash 10, like 11, uses up to 100% of CPU.
Adobe suggests halt and resume as a fix.

QtWeb claims to do HTML5 - how does one use that
with YouTube instead of Flash?
Back to top
View user's profile Send private message 
greengeek

Joined: 20 Jul 2010
Posts: 2411
Location: New Zealand

PostPosted: Mon 30 Dec 2013, 14:26    Post subject: Re: qtweb with flash 10 works  

sindi wrote:
Flash worked with libflashplayer 10.1 from your link. It works equally well with http://www.smokey01.com/OscarTalks
latest version (currently 10.3.53.64).
Hi sindi, thanks for testing this. Could you confirm the version number you have listed for Oscartalks flash pet please? (typo?)
EDIT : I definitely can't get this to work using any of the newer versions of flash after 10.1.53.64

Quote:
I have no black rectangle problems.
This may be due to different video hardware, or perhaps you may have some other newer lib installed that gets past this problem. If it is a lib version that prevents the problem I would be keen to find out which lib is involved. Did you do your testing with a savefile? Is there any way you could post a list of the pets shown as installed in your PPM so I can try installing them on my system and work out which one solves my blackbox problem?

Quote:
QtWeb claims to do HTML5 - how does one use that
with YouTube instead of Flash?
Hmmm, sorry I don't know how to force an HTML5 vid to be accessed instead of an flv one. My understanding is that youtube has both formats available for most of its videos but not all, and that it serves up the flv version first if it detects that your browser is not capable of handling HTML5. Hopefully someone else will have an answer...
Back to top
View user's profile Send private message 
technosaurus


Joined: 18 May 2008
Posts: 4284

PostPosted: Mon 30 Dec 2013, 19:34    Post subject:  

for youtube, goto https://www.youtube.com/html5 and opt in
_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send private message 
Ted Dog


Joined: 13 Sep 2005
Posts: 2298
Location: Heart of Texas

PostPosted: Mon 30 Dec 2013, 20:23    Post subject:  

youtube changed playback methods over a month ago which does not allow playback o slow sleed internet connections. I used to be a able to download using a flash grab utility to get around this problem of start and stop playback. I guess many with less than fast internet did the same.. Now not able Mad
Also flash will not be updated by Adobe for regular Android or Linux anymore and new degeneration for NON FREE software makes eariler versions no longer playable.
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 389

PostPosted: Thu 02 Jan 2014, 17:34    Post subject: printer setup not working
Subject description: browser never opens
 

Setup, CUPS printer wizard, purple screen
click okay (default browser is supposed
to open after 3-30 seconds) and
then purple screen goes away
defaultbrowser is still firefox.
How do I set printer without wizard?

Oscartalks flash 10.3.183.90
Just search on oscartalks and flash.
Also has 11.2.202.332 pet.

I watch Youtube at 2.4MBps.
If flash stops working in QtWeb
check that plugins did not get disabled.
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 389

PostPosted: Thu 02 Jan 2014, 18:18    Post subject: pulp not designed for printing?  

I found a cups_shell which is supposed to run cupsd
and cups, neither of which pulp seems to have. I suggest
removing the printer wizard since it can't work without cups.
How might we print instead? I have used pdftopbm
and pbmtolj (netpbm) with a standard pcl4 laser printer.
Pulp has pdftoppm which can be used with the switch - mono
to make a mono pbm. It does not have pbmtolj or ppmtolj.
I have compiled them both for old glibc and ldd says they
should work on pulp. Anyone else want them?
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 389

PostPosted: Thu 02 Jan 2014, 18:54    Post subject: printing in pulp without cups
Subject description: pbmtolj ppmtolj
 

I can't figure out if my files got attached so download from:
http://keesan.freeshell.org/bl/pbmtolj
http://keesan.freeshell.org/bl/ppmtolj

I have lots more useful things in bl, compiled for basiclinux, glibc 2.3.6 or older.
Complete netpbm package. pulp has the netpbm libraries already.
I compiled ghostscript with support for laserjet 4 (pcl4?).
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 389

PostPosted: Thu 16 Jan 2014, 20:35    Post subject: Packages installed in pulp linux useful for flash  

Greengeek - I missed one of your questions from Dec 30.
I don't install pets, just individual libraries. I upgraded glibc to 2.11.3 with a deb package, and downloaded a libs.tar.gz for libraries needed by firefox (libdbus.....) and cp -a to /usr/lib. I don't recall what else I added.

At one point I did something to make Opera work with flash in pulp linux. It is NOT working with flash in Puppy 4.3.1 with default flash 10.0 on a Thinkpad 600E despite ldd not showing any missing libraries and Opera finding it as a plugin in /usr/lib/mozilla/plugins. Might depend on Opera or flash version or glibc (none of them updated on here). Have not tried QtWeb on here yet.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 16 of 18 [258 Posts]   Goto page: Previous 1, 2, 3, ..., 14, 15, 16, 17, 18 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1013s ][ Queries: 13 (0.0060s) ][ GZIP on ]